Subject: Re: bug#2092: 23.0.60; vc-svn-diff

From: Stefan Monnier <[email-masked]>
Date: Sun, 01 Feb 2009 17:39:37 -0500

> vc-svn-diff fails when oldvers equals (vc-working-revision f).
> In that case "svn diff" executes with no -r argument and only gives
> a diff if the file is locally modified.

That's the right behavior when newvers is nil, isn't it?

> I don't see how it could ever work (please note that I'm not saying that
> it could never work just that I don't see how it could).

I think it was written assuming (incorrectly) that "newvers == nil".
Is the bug fixed if you add (null newvers) to the conjunction?

        Stefan

PS: I see you've already removed this code, but I remember we added
specifically upon request from some users, so it would be better to fix
it than to remove it.